# Changelog

All notable changes to this project will be documented in this file.

    Added     : for new features.
    Changed   : for changes in existing functionality.
    Deprecated: for soon-to-be removed features.
    Removed   : for now removed features.
    Fixed     : for any bug fixes.
    Security  : in case of vulnerabilities.

## [1.0.0] - 2023-01-13
- First working version.

## [1.0.1] - 2023-01-14

### Changed

- aprs_status (published on the MQTT broker) now returns actual state of transmision (sending, retrying, send or failed) instead if just 'ready' and 'busy'.

## [1.1.0] - 2023-07-08

### Added

- APRS nodes can now be polled to get there actual status. An extra section in the YAML configuration file is added for this functionality.

## [1.1.1] - 2024-01-04

### Fixed

- after reconnect to MQTT broker messages from broker were not received.

## [1.1.2] - 2024-01--8

### Fixed

- In parsePacket(string): Occasionally a bad APRS packet is received causing the program to crash with an "IndexError: list index out of range". Fix: check if index IS out of range before copying it to payload
